Update Child Organization Contract
Deprecated. Superseded by the
/v3/enterpriseendpoints under the Enterprise tag.
Makes an update to the specified child organization. Used to modify the current retention with the retention field or the current owner with the owner field.
curl --request PUT \
--url https://api.mezmo.com/v1/enterprise/account/{accountId} \
--header 'Content-Type: application/json' \
--header 'enterprise-servicekey: <api-key>' \
--data '
{
"retention": 7,
"owner": "owner@example.org"
}
'import requests
url = "https://api.mezmo.com/v1/enterprise/account/{accountId}"
payload = {
"retention": 7,
"owner": "owner@example.org"
}
headers = {
"enterprise-servicekey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'enterprise-servicekey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({retention: 7, owner: 'owner@example.org'})
};
fetch('https://api.mezmo.com/v1/enterprise/account/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account": "0000000000",
"enterprise": "0000000000",
"retention": 7,
"owner": "owner@example.org",
"retentionPeriods": [
7
],
"plan": "enterprise",
"servicekey": "7b273eb8adc962f2711ad760730debb0"
}{
"error": "\"plan\" is not allowed",
"code": "BadRequest",
"status": "error"
}{
"error": "Invalid Account.",
"code": "NotFound",
"status": "error"
}{
"error": "No contract found for this account.",
"code": "Conflict",
"status": "error"
}Authorizations
When authorizing against our enterprise endpoints, they expect an enterprise service key instead of a regular organization service key. Some endpoints might expect both an enterprise service key and a regular organization service key.
Path Parameters
Account number of the organization
"0000000000"
Body
Response
The account was found, the enterpriseId and retention details are updated.
Account number of the organization
"0000000000"
Unique Id of the enterprise organization
"0000000000"
Current retention period selected for the child organization
7
The email of a user to be given owner privileges of an account.
"owner@example.org"
Available log retention options for the child organization
Current retention period selected for the child organization
The name of a plan.
"enterprise"
A secret key which can be used to authenticate requests to Mezmo.
"7b273eb8adc962f2711ad760730debb0"
Was this page helpful?

